package test;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.servlet.AsyncContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author Kohsuke Kawaguchi
 */
@RequestScoped
@WebServlet(asyncSupported=true,urlPatterns="/")
public class MyServlet extends HttpServlet {
    @Inject
    Beacon beacon;

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        AsyncContext context = req.startAsync();

        resp.setContentType("text/plain");
        resp.getWriter().println("Announcing time:"+toString());
        resp.flushBuffer();
        
        beacon.addContext(context);
    }
}
